Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05188 Gameplay Major Always May 6, 2013, 21:29 18 days ago
Tester joe35car View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Won't fix OS Windows Vista/7/8 (64-bit)
Status [?] Closed Driver stv.cpp
Version 0.148u4 Fixed in Version Build 64-bit
Summary 05188: cottonbm: Game has a major performance loss
Description When you start the game it runs maybe at 50% but when you actually play the game it runs full speed. After a level it jumps back to about 50% speed then when the next level starts again it jumps back to full speed.
Steps To Reproduce Just start the game then actually play it.
Additional Information http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=307281

Tafoid "I've researched this some.. it seems to be a valid performance hit and it seems to boil down to some rewrites that happened just after 0.148u2 was released. I don't think simple reverting of code is the answer, however."
Flags
Regression Version 0.148u2
Affected Sets / Systems cottonbm
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
9
User avatar
No.09471
Fujix
Administrator
May 7, 2013, 11:10
Looks like the high resolution scenes need more CPU power, it is not special usually.
Why do you think it is a regression?

Slow down can happen when updating a system.
User avatar
No.09472
Haze
Senior Tester
May 7, 2013, 17:57
edited on: May 7, 2013, 17:57
I would consider it a regression, performance on several Saturn based systems has dropped to unacceptable levels.

Decathlete, while not working, is even worse. They shouldn't have Naomi-like system requirements.

User avatar
No.09473
Tafoid
Administrator
May 7, 2013, 18:08
I've informed Kale about it before - but he's currently inactive in the project.
The revision was r21002 as a strong possibility.. replaced a section of code from before/after and noticed most of my speed returned (regarding "get_window_pixel" routine).
User avatar
No.09476
Haze
Senior Tester
May 8, 2013, 15:56
adding a couple of inlines might help significantly, depending on what is causing this specific slowdown ;-)
User avatar
No.09478
Fortuna
Tester
May 9, 2013, 21:24
edited on: May 9, 2013, 21:24
not only this game, is the driver completly has slow performance

in older versions, die hard arcade running in my computer in a full speed, cotton 2 the same and other games to 80-90%, now running 20 to 40%

User avatar
No.09481
Mamesick
Senior Tester
May 10, 2013, 14:07
The "get_window_pixel" routine changes in r21002 seems wrong to me... it's the same condition for inside/outside ranges... shouldn't they be different as they were before? Looks like a copy and paste bug....
User avatar
No.09482
hap
Developer
May 10, 2013, 19:17
I can confirm that r21002 is the regression, and it's not related to the new stv_vdp2_drawgfx_alpha/stv_vdp2_drawgfx_transpen functions.
I'm not sure what Kale's purpose is with changing stv_vdp2_window_process and get_window_pixel, other than having cleaner code. Maybe there's a bugfix too?

superKale eyes need to have a look at it :P
User avatar
No.09927
Kale
Developer
Oct 28, 2013, 17:08
Again this thing needs a rewrite, but who am I to say it?
User avatar
No.14996
Kale
Developer
18 days ago
Considering how much hard this HW is and people moans everyday about how bad is the Saturn emulation I'm closing this.

There's no way we can achieve perfect emulation without breaking some eggs in the process.